From 794a9c532afc6a3fecb2bd076be36db9b449c1a9 Mon Sep 17 00:00:00 2001
From: Jon Sturm <jonimoose@gmail.com>
Date: Tue, 30 Aug 2011 01:20:51 -0500
Subject: [PATCH] fix segfault in tifiles_fext_get with null filenames.

Signed-off-by: Jon Sturm <jonimoose@gmail.com>
---
 src/filetypes.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/src/filetypes.c b/src/filetypes.c
index 5c72aba..b648c8c 100644
--- a/src/filetypes.c
+++ b/src/filetypes.c
@@ -331,6 +331,9 @@ TIEXPORT2 const char *TICALL tifiles_fext_of_certif(CalcModel model)
  **/
 TIEXPORT2 char *TICALL tifiles_fext_get(const char *filename)
 {
+  if (filename==NULL)
+    return NULL;
+
   char *d = NULL;
 
   d = strrchr(filename, '.');
-- 
1.7.6.1

